FROM php:7.4-apache
# load version info from arguments
ARG release
ARG patch

# add helper script
ADD https://github.com/mlocati/docker-php-extension-installer/releases/latest/download/install-php-extensions /usr/local/bin/

# install extra packages
RUN apt-get update \
	&& apt-get install -y \
	graphviz \
	mariadb-client \
	unzip \
	&& chmod uga+x /usr/local/bin/install-php-extensions && \
	install-php-extensions \
	gd \
	ldap \
	mcrypt \
	mysqli \
	soap \
	zip 

# Load iTop files
COPY ["files/iTop-3.0.3-10998.zip", "/tmp/iTop.zip"]

RUN unzip /tmp/iTop.zip -d /tmp/ web/* \
	&& mv -v /tmp/web/* /var/www/html/ \
	&& mkdir /var/www/html/env-production \
	&& chown -R www-data: /var/www/html/ \
	&& rm -rf /tmp/iTop.zip /tmp/web

# Add default configuration
COPY php.ini /usr/local/etc/php/php.ini

# Add custom entrypoint
COPY docker-itop-entrypoint /usr/local/bin/
ENTRYPOINT ["docker-itop-entrypoint"]
CMD ["apache2-foreground"]

VOLUME ["/var/www/html/conf", "/var/www/html/data", "/var/www/html/env-production", "/var/www/html/log"]
